
// BillInfo.cpp : implementation file
//-----------------------------------
#include "stdafx.h"
#include "BillAcceptor.h"
#include "BillInfo.h"
#include "MDBEngine.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CBillInfo dialog
//-----------------

CBillInfo::CBillInfo(CWnd* pParent)	: CDialog(CBillInfo::IDD, pParent)
//====================================================================
{
	//{{AFX_DATA_INIT(CBillInfo)
	m_dwBill01 = 0;
	m_dwBill02 = 0;
	m_dwBill03 = 0;
	m_dwBill04 = 0;
	m_dwBill05 = 0;
	m_dwBill06 = 0;
	m_dwBill07 = 0;
	m_dwBill08 = 0;
	m_dwBill09 = 0;
	m_dwBill10 = 0;
	m_dwBill11 = 0;
	m_dwBill12 = 0;
	m_dwBill13 = 0;
	m_dwBill15 = 0;
	m_dwBill14 = 0;
	m_dwBill16 = 0;
	m_dwBillSecurity = 0;
	m_dwCurrencyCode = 0;
	m_dwDecimalPlaces = 0;
	m_dwEscrow = 0;
	m_dwFutureLevel = 0;
	m_dwScalingFactor = 0;
	m_dwStackerCapacity = 0;
	m_sManufacturer = _T("");
	m_sModelRevision = _T("");
	m_dwOptionalFeatures = 0;
	m_sSerialNumber = _T("");
	m_sVersion = _T("");
	//}}AFX_DATA_INIT
}

void CBillInfo::DoDataExchange(CDataExchange* pDX)
//================================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBillInfo)
	DDX_Text(pDX, IDC_BILL_01, m_dwBill01);
	DDX_Text(pDX, IDC_BILL_02, m_dwBill02);
	DDX_Text(pDX, IDC_BILL_03, m_dwBill03);
	DDX_Text(pDX, IDC_BILL_04, m_dwBill04);
	DDX_Text(pDX, IDC_BILL_05, m_dwBill05);
	DDX_Text(pDX, IDC_BILL_06, m_dwBill06);
	DDX_Text(pDX, IDC_BILL_07, m_dwBill07);
	DDX_Text(pDX, IDC_BILL_08, m_dwBill08);
	DDX_Text(pDX, IDC_BILL_09, m_dwBill09);
	DDX_Text(pDX, IDC_BILL_10, m_dwBill10);
	DDX_Text(pDX, IDC_BILL_11, m_dwBill11);
	DDX_Text(pDX, IDC_BILL_12, m_dwBill12);
	DDX_Text(pDX, IDC_BILL_13, m_dwBill13);
	DDX_Text(pDX, IDC_BILL_15, m_dwBill15);
	DDX_Text(pDX, IDC_BILL_14, m_dwBill14);
	DDX_Text(pDX, IDC_BILL_16, m_dwBill16);
	DDX_Text(pDX, IDC_BILLRECURITY, m_dwBillSecurity);
	DDX_Text(pDX, IDC_CURRENCYCODE, m_dwCurrencyCode);
	DDX_Text(pDX, IDC_DECIMALPLACES, m_dwDecimalPlaces);
	DDX_Text(pDX, IDC_ESCROW, m_dwEscrow);
	DDX_Text(pDX, IDC_FUTURELEVEL, m_dwFutureLevel);
	DDX_Text(pDX, IDC_SCALINGFACTOR, m_dwScalingFactor);
	DDX_Text(pDX, IDC_STACKERCAPACITY, m_dwStackerCapacity);
	DDX_Text(pDX, IDC_MANUFACTURER, m_sManufacturer);
	DDX_Text(pDX, IDC_MODEL_REVISION, m_sModelRevision);
	DDX_Text(pDX, IDC_OPTIONAL_FEATURES, m_dwOptionalFeatures);
	DDX_Text(pDX, IDC_SERIAL_NUMBER, m_sSerialNumber);
	DDX_Text(pDX, IDC_SOFTWARE_VERSION, m_sVersion);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CBillInfo, CDialog)
	//{{AFX_MSG_MAP(CBillInfo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CBillInfo message handlers
//---------------------------

BOOL CBillInfo::OnInitDialog() 
//============================
{
	CDialog::OnInitDialog();
	BILL_INFO Info;
	if (BillInfo(&Info))
	{
		m_dwBill01=Info.BillTypeCredit[0];
		m_dwBill02=Info.BillTypeCredit[1];
		m_dwBill03=Info.BillTypeCredit[2];
		m_dwBill04=Info.BillTypeCredit[3];
		m_dwBill05=Info.BillTypeCredit[4];
		m_dwBill06=Info.BillTypeCredit[5];
		m_dwBill07=Info.BillTypeCredit[6];
		m_dwBill08=Info.BillTypeCredit[7];
		m_dwBill09=Info.BillTypeCredit[8];
		m_dwBill10=Info.BillTypeCredit[9];
		m_dwBill11=Info.BillTypeCredit[10];
		m_dwBill12=Info.BillTypeCredit[11];
		m_dwBill13=Info.BillTypeCredit[12];
		m_dwBill15=Info.BillTypeCredit[13];
		m_dwBill14=Info.BillTypeCredit[14];
		m_dwBill16=Info.BillTypeCredit[15];
		m_dwBillSecurity=Info.dwSecurityLevel;
		m_dwCurrencyCode=Info.dwCurrencyCode;
		m_dwDecimalPlaces=Info.dwDecimalPlaces;
		m_dwEscrow=Info.dwEscrowCapability;
		m_dwFutureLevel=Info.dwBillFutureLevel;
		m_dwScalingFactor=Info.dwBillScalingFactor;
		m_dwStackerCapacity=Info.dwStackerCapacity;
		m_sManufacturer=Info.sManufacturer;
		m_sSerialNumber=Info.sSerialNumber;
		m_sModelRevision=Info.sModelRevision;
		m_sVersion.Format(_T("%02d.%02d"),Info.dwSoftwareVersion/100,
			Info.dwSoftwareVersion%100);
		m_dwOptionalFeatures=Info.dwOptionalFeatures;
	}
	UpdateData(false);
	return true;
}
